-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 3.0 (quilt)
Source: ldaptive
Binary: libldaptive-java, libldaptive-java-doc
Architecture: all
Version: 2.1.1+ds-1
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Joseph Nahmias <jello@debian.org>,
Homepage: http://www.ldaptive.org
Description: simple, extensible Java API for interacting with LDAP servers
 Ldaptive is a simple, extensible Java API for interacting with LDAP
 servers. It was designed to provide easy LDAP integration for application
 developers. Features include:
 .
   * Netty based asynchronous networking
   * Reactive API
   * Connection pooling
   * Authentication API with support for password policy
   * JAAS modules for authentication and authorization
   * SSL/startTLS support with easy configuration of trust and key material
   * Input/output of LDIF
   * Supported controls:
     * Authorization Identity (RFC 3829)
     * Content Synchronization (RFC 4533)
     * Entry Change Notification (draft-ietf-ldapext-psearch-03)
     * ManageDsaIT (RFC 3296)
     * Matched Values (RFC 3876)
     * Paged Results (RFC 2696)
     * Password Policy (draft-behera-ldap-password-policy-10 and
       draft-vchu-ldap-pwd-policy-00)
     * Persistent Search (draft-ietf-ldapext-psearch-03)
     * Proxy Authorization (RFC 4370)
     * Server Side Sorting (RFC 2891)
     * Session Tracking (draft-wahl-ldap-session-03)
     * Tree Delete (draft-armijo-ldap-treedelete)
     * Virtual List View (draft-ietf-ldapext-ldapv3-vlv-09)
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/java-team/ldaptive
Vcs-Git: https://salsa.debian.org/java-team/ldaptive.git
Build-Depends: debhelper-compat (= 13), default-jdk, maven-debian-helper (>= 2.6)
Build-Depends-Indep: libcodemodel-java, libgoogle-gson-java, liblogback-java, libmaven-bundle-plugin-java (>= 3.5.1), libmaven-dependency-plugin-java (>= 3.5.0), libmaven-javadoc-plugin-java (>= 3.4.1), libnetty-java, libslf4j-java (>= 1.7.32), libspring-context-java, testng
Package-List:
 libldaptive-java deb java optional arch=all
 libldaptive-java-doc deb doc optional arch=all
Checksums-Sha1:
 f8363377527b516ccb8450ae1aeb72e073689c5a 559416 ldaptive_2.1.1+ds.orig.tar.xz
 a0f57ab4ab333cc96cacda658de472c03db500b1 3672 ldaptive_2.1.1+ds-1.debian.tar.xz
Checksums-Sha256:
 33671979f8af7cd61fa59b7afc4ddaf4f18790317be28b83659756260ad26bde 559416 ldaptive_2.1.1+ds.orig.tar.xz
 a49ba0422a115d88ef5bf468377470c38b70abf17f4ce5f32868055430ad1054 3672 ldaptive_2.1.1+ds-1.debian.tar.xz
Files:
 3a2ecbd0328301c0c21b0c056255c971 559416 ldaptive_2.1.1+ds.orig.tar.xz
 d49cd0348aac5ce983d0542c85527147 3672 ldaptive_2.1.1+ds-1.debian.tar.xz

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEcxc7CTsDz7hRCK0UsRvZGQeaO5gFAmP+2WIACgkQsRvZGQea
O5iUJg//ecX9VOS7NnWBH7NxJbzRqJrgc9oqtWGnSRzhXegsnhQGFsm4rin33Er7
2cZ9zXpFIJ0BJ4hvQbJ29uJfuIT8kBlwgMAHtOM/2BGZtYnkbDE2bBLNtlARtrCD
40uCnK14dXnq3GLJ0Pc1TbKXRxcawPOfiQFd42pK5b4MWgBlVXy69mg20pB/PvZ7
FXEUNkmWfPhXkpFe9djbrk8jpMC+sO77Nd5vWIiWH8Ql6hPPX19orYDCns7U55mt
IZhamWYJ0nEQiW06+3dpxtVAmJDMlQMXoTXnQjYZzSrqkShkq1Dqbj7R3TNxSI4q
Vf/Rpu0R4B7FqZXxjSuxk5oqq72YeC3GvAv3yL20AxG/jZymQMIq6R7iVX5gOChV
yvLW6WO90jzkN5hynzuY2WsPgjH19Z8kRY+2QCkHWV6x3CZUD8RuMFZ7GAGaVXkm
ZecoHvjqlxC1Fhudf8LZ+BVdp9J24/PPgK9hEMeviKdZM5UaN1SHS4s1X46kiVKD
+pMkI1ay3+Zsa/uZUNderBg5MgXY79hWuavwRJtKoe3ZZXePqjoPiFyHxmMFrvQV
iowt4rNsoQmpiuT98Dx6CZsV9xMoBieK47rGpMO7SShD8cvdbRsGcE/t+K6t+TUm
sE9JBjsaIBi4fxfrS1hCFJzmhgxnAeeHIIGOKxoQqcbcDCN1S6g=
=3s3B
-----END PGP SIGNATURE-----
